--- /dev/null
+[[!comment format=mdwn
+ username="yarikoptic"
+ avatar="http://cdn.libravatar.org/avatar/f11e9c84cb18d26a1748c33b48c924b4"
+ subject="comment 3"
+ date="2020-10-06T01:26:59Z"
+ content="""
+I think it worked wonderfully
+
+<details>
+<summary>here is my script I have tried</summary>
+
+```shell
+#!/bin/bash
+
+export PS4='> '
+set -x
+set -eu
+cd \"$(mktemp -d ${TMPDIR:-/tmp}/dl-XXXXXXX)\"
+
+mkdir d-in d-repo
+echo content >| d-in/file
+
+function dance() {
+ git annex import master --from d-in
+ # but we need to merge it
+ git merge d-in/master
+ ls -l
+ grep -e . *
+}
+
+(
+cd d-repo
+git init
+git annex init
+git annex initremote d-in type=directory directory=../d-in exporttree=yes importtree=yes encryption=none
+
+ls -l ../d-in
+
+for r in 1 2; do
+ echo \"Run $r\";
+ dance
+done
+
+echo \"more\" >> ../d-in/file
+echo \"new\" > ../d-in/newfile
+dance
+
+rm ../d-in/file
+dance
+
+)
+
+```
+</details>
+
+and it seemed to do the right job! I have not tried to add some `.gitattributes` into that branch it imports into to tell some files to go to git, but I hope it would just work, and if not -- I will come back! feel welcome to close this issue.
+
+Cheers
+"""]]